package com.cpms.project.process.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.cpms.common.annotation.Excel;
import com.cpms.common.core.domain.BaseEntity;

/**
 * 阀门铅封开关状态记录对象 t_valve_csocsc
 *
 * @author admin
 * @date 2024-04-11
 */
public class TValveCsocsc extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 单元 */
    @Excel(name = "单元")
    private String unit;

    /** 阀门标签号 */
    @Excel(name = "阀门标签号")
    private String vtNo;

    /** PID管线号 */
    @Excel(name = "PID管线号")
    private String pidNo;

    /** 位置描述 */
    @Excel(name = "位置描述")
    private String locationDes;

    /** 介质 */
    @Excel(name = "介质")
    private String medium;

    /** 阀门类型 */
    @Excel(name = "阀门类型")
    private String valveType;

    /** 阀门尺寸 */
    @Excel(name = "阀门尺寸")
    private String valveSize;

    /** 标识信息 */
    @Excel(name = "标识信息")
    private String identifier;

    /** 阀位状态 */
    @Excel(name = "阀位状态")
    private String valvePosition;

    /** 牢固固定 */
    @Excel(name = "牢固固定")
    private String firmlySecured;

    /** 负责人 */
    @Excel(name = "负责人")
    private String responsibility;

    /** 现场检查人 */
    @Excel(name = "现场检查人")
    private String checkedBy;

    /** PID图纸状态 */
    @Excel(name = "PID图纸状态")
    private String pidStatus;

    /** 开车前检查 */
    @Excel(name = "开车前检查")
    private String checkBeforeSu;


    /** SHE Review */
    @Excel(name = "SHE Review")
    private String sheReview;

    /** 风险等级 */
    @Excel(name = "风险等级")
    private String riskLevel;

    /** 检查日期 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "检查日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkDate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除标识 */
    private Integer delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建日期 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updaterCode;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setVtNo(String vtNo)
    {
        this.vtNo = vtNo;
    }

    public String getVtNo()
    {
        return vtNo;
    }
    public void setPidNo(String pidNo)
    {
        this.pidNo = pidNo;
    }

    public String getPidNo()
    {
        return pidNo;
    }
    public void setLocationDes(String locationDes)
    {
        this.locationDes = locationDes;
    }

    public String getLocationDes()
    {
        return locationDes;
    }
    public void setMedium(String medium)
    {
        this.medium = medium;
    }

    public String getMedium()
    {
        return medium;
    }
    public void setValveType(String valveType)
    {
        this.valveType = valveType;
    }

    public String getValveType()
    {
        return valveType;
    }
    public void setValveSize(String valveSize)
    {
        this.valveSize = valveSize;
    }

    public String getValveSize()
    {
        return valveSize;
    }
    public void setIdentifier(String identifier)
    {
        this.identifier = identifier;
    }

    public String getIdentifier()
    {
        return identifier;
    }
    public void setValvePosition(String valvePosition)
    {
        this.valvePosition = valvePosition;
    }

    public String getValvePosition()
    {
        return valvePosition;
    }
    public void setFirmlySecured(String firmlySecured)
    {
        this.firmlySecured = firmlySecured;
    }

    public String getFirmlySecured()
    {
        return firmlySecured;
    }
    public void setResponsibility(String responsibility)
    {
        this.responsibility = responsibility;
    }

    public String getResponsibility()
    {
        return responsibility;
    }
    public void setCheckedBy(String checkedBy)
    {
        this.checkedBy = checkedBy;
    }

    public String getCheckedBy()
    {
        return checkedBy;
    }
    public void setPidStatus(String pidStatus)
    {
        this.pidStatus = pidStatus;
    }

    public String getPidStatus()
    {
        return pidStatus;
    }
    public void setRiskLevel(String riskLevel)
    {
        this.riskLevel = riskLevel;
    }

    public String getRiskLevel()
    {
        return riskLevel;
    }
    public void setCheckDate(Date checkDate)
    {
        this.checkDate = checkDate;
    }

    public Date getCheckDate()
    {
        return checkDate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDelFlag(Integer delFlag)
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    public String getCheckBeforeSu() {
        return checkBeforeSu;
    }

    public void setCheckBeforeSu(String checkBeforeSu) {
        this.checkBeforeSu = checkBeforeSu;
    }

    public String getSheReview() {
        return sheReview;
    }

    public void setSheReview(String sheReview) {
        this.sheReview = sheReview;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("unit", getUnit())
            .append("vtNo", getVtNo())
            .append("pidNo", getPidNo())
            .append("locationDes", getLocationDes())
            .append("medium", getMedium())
            .append("valveType", getValveType())
            .append("valveSize", getValveSize())
            .append("identifier", getIdentifier())
            .append("valvePosition", getValvePosition())
            .append("firmlySecured", getFirmlySecured())
            .append("responsibility", getResponsibility())
            .append("checkedBy", getCheckedBy())
            .append("pidStatus", getPidStatus())
            .append("riskLevel", getRiskLevel())
            .append("checkDate", getCheckDate())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .toString();
    }
}
